L'originale di un documento pubblico
GET
/v1/aps/{slug}/documents/{uid}
const url = 'https://api.vimine.network/v1/aps/example/documents/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vimine.network/v1/aps/example/documents/exampleRisponde 302 verso un collegamento all’originale (PDF, JPEG o PNG) valido quindici minuti. Il livello è verificato a ogni chiamata: un documento che l’associazione ha ritirato risponde 404 da quel momento. Mai in cache.
Parametri
Sezione intitolata “Parametri”Parametri di percorso
Sezione intitolata “Parametri di percorso”slug
obbligatorio
string
uid
obbligatorio
string
Risposte
Sezione intitolata “Risposte”Reindirizzamento all’originale — un collegamento valido quindici minuti
Richiesta non valida
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Associazione o documento sconosciuti, o documento non pubblico
Troppe richieste
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Errore interno
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}